Foreman - Bug #26676

Setting initialization is very inefficient and generates a lot of SQL queries
04/24/2019 03:34 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Settings
Target version:
Difficulty: Fixed in Releases: 1.24.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6708,
https://github.com/theforeman/foreman/p
ull/6737,
https://github.com/theforeman/foreman/p
ull/6902
Description

If you load the application with sgl logger enabled, you can see hundreds of queries against Settings table. Nearly all of them are
unnecessary, there are multiple problems.

1) we update the setting even if it's definition didn't change (twice)
2) we load every setting individually
3) we check if settings table exists by loading one setting object

Related issues:

Precedes foreman-tasks - Bug #27815: Setting initialization improvement Closed
Precedes Ansible - Refactor #27816: Setting initialization improvement Closed
Precedes Foreman Remote Execution - Refactor #27818: Setting initialization i... Closed
Precedes Boot disk - Refactor #27819: Setting initialization improvement Closed
Precedes Chef - Refactor #27820: Setting initialization improvement Closed
Precedes Salt - Refactor #27821: Setting initialization improvement Closed
Precedes Katello - Refactor #27863: Setting initialization improvement Closed

Associated revisions

Revision 18020cc6 - 04/26/2019 01:20 PM - Marek Hulan

Fixes #26676 - improve setting initialization

Revision b90f0979 - 09/10/2019 12:15 PM - Marek Hulan

Fixes #26676 - improve setting initialization

History

#1 - 04/24/2019 03:45 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6708 added

#2 - 04/26/2019 02:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset 18020cc62fb73572854f343a27b5bc2aed123fb9.

#3 - 04/29/2019 06:57 AM - Lukas Zapletal

- Status changed from Closed to New
#4 - 05/03/2019 03:05 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6737 added

#5 - 07/14/2019 11:20 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6902 added

#6 - 09/10/2019 12:15 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#7 - 09/10/2019 01:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset b90f0979a0c4648b64e4a6f7fe883f58e30c69a1.

#8 - 09/10/2019 03:48 PM - Ondfrej Ezr

- Precedes Bug #27815: Setting initialization improvement added

#9 - 09/10/2019 03:55 PM - Ondfej Ezr

- Precedes Refactor #27816: Setting initialization improvement added

#10 - 09/10/2019 04:33 PM - Ondfej Ezr

- Precedes Refactor #27818: Setting initialization improvement added

#11 - 09/10/2019 04:34 PM - Ondfej Ezr

- Precedes Refactor #27819: Setting initialization improvement added

#12 - 09/10/2019 04:40 PM - Ondfej Ezr

- Precedes Refactor #27820: Setting initialization improvement added

#13 - 09/10/2019 04:46 PM - Ondfej Ezr

- Precedes Refactor #27821: Setting initialization improvement added

#14 - 09/16/2019 10:17 PM - Ondfej Ezr

- Precedes Refactor #27863: Setting initialization improvement added
#15 - 11/03/2019 01:36 PM - Tomer Brisker

- Subject changed from Setting intialization is very inneficient and generates a lot of SQL queries to Setting initialization is very inefficient and
generates a lot of SQL queries
